diff --git a/smp-docker/compose/tomcat-mysql-smp-sml/runCompose.sh b/smp-docker/compose/tomcat-mysql-smp-sml/runCompose.sh
index 32a6b77e24cb314baef6a5499ca6b52c493bc393..89d3c605419a8f7f8de4bd2fad2d05b3525e8b47 100755
--- a/smp-docker/compose/tomcat-mysql-smp-sml/runCompose.sh
+++ b/smp-docker/compose/tomcat-mysql-smp-sml/runCompose.sh
@@ -65,5 +65,5 @@ echo "Start compose"
 docker-compose -p ${PREFIX} up -d --force-recreate 
 
 # wait until service is up
-for i in `seq 100`; do timeout 1  bash -c ' curl --head --silent --fail http://localhost:8982/smp/'; if [ $? -eq 0  ] ; then break;fi; echo "$i. Wait for tomcat to start!";  sleep 5;  done;
+for i in `seq 100`; do timeout 1  bash -c ' curl --silent --fail http://localhost:8982/smp/'; if [ $? -eq 0  ] ; then break;fi; echo "$i. Wait for tomcat to start!";  sleep 5;  done;
 
diff --git a/smp-docker/compose/tomcat-mysql/runCompose.sh b/smp-docker/compose/tomcat-mysql/runCompose.sh
index 930fc95706f88fe9e64e060348c9591fb5f49768..830b124b8cc1969cbe17849985735c36c949fccc 100755
--- a/smp-docker/compose/tomcat-mysql/runCompose.sh
+++ b/smp-docker/compose/tomcat-mysql/runCompose.sh
@@ -66,5 +66,5 @@ echo "Start compose"
 docker-compose -p ${PREFIX} up -d --force-recreate 
 
 # wait until service is up
-for i in `seq 100`; do timeout 1  bash -c ' curl --head --silent --fail http://localhost:8981/smp/'; if [ $? -eq 0  ] ; then break;fi; echo "$i. Wait for tomcat to start!";  sleep 5;  done;
+for i in `seq 100`; do timeout 1  bash -c ' curl --silent --fail http://localhost:8981/smp/'; if [ $? -eq 0  ] ; then break;fi; echo "$i. Wait for tomcat to start!";  sleep 5;  done;